Skip to main content
GET
/
api
/
v1
/
app-connections
/
auth0
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/app-connections/auth0
{
  "appConnections": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "app": "auth0",
      "method": "client-credentials",
      "credentials": {
        "domain": "<string>",
        "clientId": "<string>",
        "audience": "<string>"
      },
      "description": "<string>",
      "version": 1,
      "isPlatformManagedCredentials": false,
      "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "<string>",
      "isAutoRotationEnabled": false,
      "rotation": {
        "rotationInterval": 123,
        "rotationStatus": "success",
        "rotateAtUtc": {
          "hours": 123,
          "minutes": 123
        },
        "lastRotationMessage": "<string>",
        "nextRotationAt": "2023-11-07T05:31:56Z"
      },
      "credentialsHash": "<string>",
      "project": {
        "name": "<string>",
        "id": "<string>",
        "type": "<string>",
        "slug": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

projectId
string

The ID of the project to list Auth0 Connections from.

Response

Default Response

appConnections
Auth0 (Client Credentials) · object[]
required